Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#2734 PHP 5.2.14 breaks

Produces PHP errors
closed-invalid
nobody
Website (6)
5
2010-08-28
2010-08-28
Ken Lyle
No

Easy to replicate. Take working 1.4.21 instance, and updgrade PHP 5.2.13 to 5.2.14

Here are my diagnostics:

SquirrelMail version: 1.4.21
Config file version: 1.4.0
Config file last modified: 11 May 2010 02:53:33
Checking PHP configuration...
PHP version 5.2.14 OK.
Running as N/A(N/A) / N/A(N/A)
display_errors:
error_reporting: 6143
variables_order OK: EGPCS.
PHP extensions OK. Dynamic loading is enabled.
Checking paths...
Data dir OK.
Attachment dir OK.

ERROR: Set User Data plugin is configured with an unknown data handler ''

ERROR: Some plugin tests failed.

Discussion

  • Please define "breaks." If you are not sure how to do so, please refer to our support documentation:

    http://squirrelmail.org/docs/admin/admin-12.html

    If, by "break," you refer to the "Set User Data" plugin error you show, there is no such core SquirrelMail plugin, therefore, you need to address the problem with that plugin's author. This tracker is for SquirrelMail core code only (not third party add-on code).

     
    • status: open --> pending-invalid
     
  • Ken Lyle
    Ken Lyle
    2010-08-28

    • status: pending-invalid --> closed-invalid
     
  • Ken Lyle
    Ken Lyle
    2010-08-28

    Seems that when my host upgraded PHP, I lost the --with-pear option. I am closing this issue until that is evaluated.